<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/shape16_white_color_bg">

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/ll_dialog_dfu_new_before_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:padding="@dimen/dp_18"
        android:visibility="gone">


        <com.abbidot.tracker.widget.TypefaceTextView
            android:id="@+id/tv_dialog_dfu_new_title"
            style="@style/my_TextView_style"
            android:layout_marginTop="@dimen/dp_18"
            android:text="@string/txt_new_firmware_version"
            android:textSize="@dimen/textSize14"
            android:textStyle="bold"
            app:lineHeight="@dimen/textSize20" />

        <com.abbidot.tracker.widget.TypefaceRoundButton
            android:id="@+id/btn_dialog_dfu_new_upgrade_now"
            style="@style/my_QMUIRoundButton_small_style_v2"
            android:layout_width="@dimen/dp_160"
            android:layout_height="@dimen/dp_42"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="@dimen/dp_36"
            android:text="@string/txt_upgrade_now"
            android:textColor="@color/select_color"
            android:textSize="@dimen/textSize16"
            app:qmui_backgroundColor="@color/btn_yellow_color"
            app:typeface="@string/roboto_bold_font" />

        <com.abbidot.tracker.widget.TypefaceTextView
            android:id="@+id/tv_dialog_dfu_new_later_btn"
            style="@style/my_TextView_style_v2"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="@dimen/dp_8"
            android:background="@drawable/selector_transparent_pressed"
            android:padding="@dimen/dp_6"
            android:text="@string/txt_later"
            android:textColor="@color/select_color"
            android:textSize="@dimen/textSize14"
            app:typeface="@string/roboto_regular_font" />

    </androidx.appcompat.widget.LinearLayoutCompat>

    <RelativeLayout
        android:id="@+id/rl_dialog_dfu_new_after_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:padding="@dimen/dp_18">

        <com.airbnb.lottie.LottieAnimationView
            android:id="@+id/lav_dialog_dfu_new_anim"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_36"
            android:layout_centerHorizontal="true"
            app:lottie_loop="true" />

        <com.abbidot.tracker.widget.TypefaceTextView
            android:id="@+id/tv_dialog_dfu_new_top_version"
            style="@style/my_TextView_style_v2"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="@dimen/dp_8"
            android:textColor="@color/block_color2"
            android:textSize="@dimen/textSize12"
            app:typeface="@string/roboto_regular_font"
            tools:text="@string/app_name" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_dialog_dfu_new_progress_image"
            android:layout_width="@dimen/dp_66"
            android:layout_height="@dimen/dp_66"
            android:layout_below="@id/lav_dialog_dfu_new_anim"
            android:layout_centerHorizontal="true"
            android:background="@drawable/icon_circle_ring_bg" />

        <com.abbidot.tracker.widget.TypefaceTextView
            android:id="@+id/tv_dialog_dfu_new_progress_text"
            style="@style/my_TextView_style_v2"
            android:layout_alignTop="@id/iv_dialog_dfu_new_progress_image"
            android:layout_alignBottom="@id/iv_dialog_dfu_new_progress_image"
            android:layout_centerHorizontal="true"
            android:textColor="@color/select_color"
            android:textSize="@dimen/textSize16"
            app:typeface="@string/roboto_bold_font"
            tools:text="0" />

        <com.abbidot.tracker.widget.TypefaceTextView
            style="@style/my_TextView_style_v2"
            android:layout_alignTop="@id/tv_dialog_dfu_new_progress_text"
            android:layout_alignBottom="@id/tv_dialog_dfu_new_progress_text"
            android:layout_toEndOf="@id/tv_dialog_dfu_new_progress_text"
            android:paddingTop="@dimen/dp_4"
            android:text="%"
            android:textColor="@color/select_color"
            android:textSize="@dimen/textSize10"
            app:typeface="@string/roboto_regular_font" />

        <com.abbidot.tracker.widget.TypefaceTextView
            android:id="@+id/tv_dialog_dfu_new_bottom_version"
            style="@style/my_TextView_style_v2"
            android:layout_below="@id/iv_dialog_dfu_new_progress_image"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="@dimen/dp_14"
            android:textColor="@color/block_color2"
            android:textSize="@dimen/textSize12"
            app:typeface="@string/roboto_regular_font"
            tools:text="@string/app_name" />

        <com.abbidot.tracker.widget.TypefaceRoundButton
            android:id="@+id/btn_dialog_dfu_new_done"
            style="@style/my_QMUIRoundButton_small_style_v2"
            android:layout_width="@dimen/dp_160"
            android:layout_height="@dimen/dp_42"
            android:layout_below="@id/iv_dialog_dfu_new_progress_image"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="@dimen/dp_18"
            android:text="@string/txt_done"
            android:textColor="@color/select_color"
            android:textSize="@dimen/textSize16"
            android:visibility="gone"
            app:qmui_backgroundColor="@color/btn_yellow_color"
            app:typeface="@string/roboto_bold_font" />
    </RelativeLayout>
</FrameLayout>
